<?php

require_once __DIR__ . '/../../../init.php';
require_once __DIR__ . '/../../../includes/gatewayfunctions.php';
require_once __DIR__ . '/../../../includes/invoicefunctions.php';
include_once __DIR__ . '/../../../includes/functions.php';

$gatewayModuleName = basename(__FILE__, '.php');

include_once __DIR__ . '/../../../'.$gatewayModuleName.'_func.php';

$gatewayParams = getGatewayVariables($gatewayModuleName);

if (!$gatewayParams['type']) {
    die("Module Not Activated");
}

$api = $gatewayParams['api'];

$transactionId = $_POST["invoice_key"];
$amount = $_GET["amount"];


$invoiceId = checkCbInvoiceID($invoiceId, $gatewayParams['name']);

checkCbTransID($transactionId);

if($gatewayParams['currencies']=='toman')   $amount = $amount/10;

$result = get($api, $transactionId);
$result = json_decode($result);

if (($result->status == 1) && ($amount == $result->amount)) {
    addInvoicePayment($invoiceid,$trans_id,$amount,0,$gatewaymodule);
    logTransaction($gatewayParams["name"], $_POST, "Success");
} else {
    logTransaction($gatewayParams["name"], $_POST, "Failed");
}
#Header('Location: ' . $CONFIG['SystemURL'] . '/clientarea.php?action=invoices');

$url = $CONFIG['SystemURL'] . '/viewinvoice.php?id=' . $invoiceid . $resv;
header("Location: {$url}");